Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.api.resources
[Java] Interface Resource

    public interface Resource

A generic resource of some kind. Only describes the resource. There are more specific interface that extend this one and specify ways of accessing the resource's content.

Method Summary
`String` | `getBaseName()` Short name that concisely describes this resource
`String` | `getDisplayName()` Human readable name of this resource
`URI` | `getURI()` Uniform resource identifier that uniquely describes this resource

Method Detail

### getBaseName

    public String getBaseName()

  Short name that concisely describes this resource
  Returns:
    concise base name, should not be null

### getDisplayName

    public String getDisplayName()

  Human readable name of this resource
  Returns:
    human readable name, should not be null

### getURI

    public URI getURI()

  Uniform resource identifier that uniquely describes this resource
  Returns:
    unique URI, should not be null

Gradle API 1.1-rc-1